Subject: Re: How to run javac
From: Bob McGowan <[email-masked]>
To: alex <[email-masked]>
Cc: [email-masked]
Date: Tue, 21 Nov 2000 09:40:04 -0800

Are the *.java files related (are they defining classes that are used in a common application or applet)?  If so, I think javac will automatically compile the dependencies,
so you just need to give it the top level java file anyway.

If the '*.java' files are not related, you will need to do a little shell scripting, to collect the files referenced by '*.java' into a list of Windows format names which
you then pass to javac.  I'd suggest starting with a 'for' loop to iterate over the list of file names, using cygpath on each to generate the Window's path and
concatenating the names into a list.  But you'll have to play with quotes, to preserve the backslashes.

If you aren't comfortable doing this, I can provide some help, but I won't be free to do so till next week.

alex wrote:
> 
> >
> > Larry, nailed problem #1, javac is itself a java program, and java doesn't
> > grok cygwin paths (unfortunately) so you need to either pass it a dos path
> > it will understand, or a basic unix path it will understand. I'll
> discourage
> > you from attempting the second, as it would go against the generally
> accepted
> > rule of not putting cygwin' root directory in your dos root ( i.e. / ==
> c:\ ).
> > This leaves the best option as passing java a path it will understand. Try
> > this:
> >
> > javac -d . `cygpath -w /cygdrive/c/abc/abc.java`
> >
> 
> But it doesn;t work with *.java
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]